Skip to content
API Reference
Sharing

Deals sharing

Deals sharing in Prism / Objects / Deals — Micro Go reference.

Reference for Go SDK 0.8.0.

Release source · Setup and client configuration

Update

PUT /v2/prism/{teamId}/deal/{dealId}/grant

client.Prism.Objects.Deals.Grant.Update(ctx context.Context, dealID string, params micro.PrismObjectDealGrantUpdateParams) (*micro.PrismObjectDealGrantUpdateResponse, error)

Update grant

Get

GET /v2/prism/{teamId}/deal/{dealId}/grant

client.Prism.Objects.Deals.Grant.Get(ctx context.Context, dealID string, query micro.PrismObjectDealGrantGetParams) (*micro.PrismObjectDealGrantGetResponse, error)

Get grant

Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

PrismObjectDealGrantUpdateResponse

Source

type PrismObjectDealGrantUpdateResponse struct {
	TeamGroupID []map[string]PrismObjectDealGrantUpdateResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectDealGrantUpdateResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectDealGrantUpdateResponseUserID      `json:"user_id"`
	JSON        prismObjectDealGrantUpdateResponseJSON                     `json:"-"`
}

PrismObjectDealGrantGetResponse

Source

type PrismObjectDealGrantGetResponse struct {
	TeamGroupID []map[string]PrismObjectDealGrantGetResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectDealGrantGetResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectDealGrantGetResponseUserID      `json:"user_id"`
	JSON        prismObjectDealGrantGetResponseJSON                     `json:"-"`
}

PrismObjectDealGrantUpdateParams

Source

type PrismObjectDealGrantUpdateParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	PathTeamID     param.Field[string]                                                   `path:"teamId" api:"required" format:"uuid"`
	TeamGroupID    param.Field[[]map[string]PrismObjectDealGrantUpdateParamsTeamGroupID] `json:"team_group_id"`
	BodyTeamID     param.Field[map[string]PrismObjectDealGrantUpdateParamsTeamID]        `json:"team_id"`
	UserID         param.Field[[]map[string]PrismObjectDealGrantUpdateParamsUserID]      `json:"user_id"`
	IdempotencyKey param.Field[string]                                                   `header:"Idempotency-Key"`
}

PrismObjectDealGrantGetParams

Source

type PrismObjectDealGrantGetParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
}

PrismObjectDealGrantUpdateResponseTeamGroupID

Source

type PrismObjectDealGrantUpdateResponseTeamGroupID string

PrismObjectDealGrantUpdateResponseTeamID

Source

type PrismObjectDealGrantUpdateResponseTeamID string

PrismObjectDealGrantUpdateResponseUserID

Source

type PrismObjectDealGrantUpdateResponseUserID string

PrismObjectDealGrantGetResponseTeamGroupID

Source

type PrismObjectDealGrantGetResponseTeamGroupID string

PrismObjectDealGrantGetResponseTeamID

Source

type PrismObjectDealGrantGetResponseTeamID string

PrismObjectDealGrantGetResponseUserID

Source

type PrismObjectDealGrantGetResponseUserID string

PrismObjectDealGrantUpdateParamsTeamGroupID

Source

type PrismObjectDealGrantUpdateParamsTeamGroupID string

PrismObjectDealGrantUpdateParamsTeamID

Source

type PrismObjectDealGrantUpdateParamsTeamID string

PrismObjectDealGrantUpdateParamsUserID

Source

type PrismObjectDealGrantUpdateParamsUserID string
micro.so